use askama_axum::Template;
use axum::{routing, Router};

#[derive(Template)]
#[template(path = "hello.html")]
struct HelloTemplate {
    pub name: String,
}

async fn hello() -> HelloTemplate {
    HelloTemplate {
        name: "Theo".to_string(),
    }
}

pub fn get_routes() -> Router {
    Router::new().route("/", routing::get(hello))
}
