use axum::Router;

mod hello;
pub mod nav;
mod profile;

pub fn get_routes() -> Router {
    Router::new()
        .nest("/hello", hello::get_routes())
        .nest("/nav", nav::get_routes())
        .nest("/profile", profile::get_routes())
}
